package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.UseEngergy;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface UseEngergyService extends IService<UseEngergy> {


    List<UseEngergy> getPage(Page page, UseEngergy useEngergy);

    List<UseEngergy> excelImport(MultipartFile file, String datel) throws Exception;

    List<String> getArea();

    List<UseEngergy> getTotal(UseEngergy useEngergy);

    List<String> getUnit();
}
